Subject: Re: bug#3221: 23.0.93; ns cannot handle nonascii file names

From: Leo <[email-masked]>
Date: Tue, 05 May 2009 22:02:54 +0100

On 2009-05-05 15:36 +0100, Leo wrote:
> This is the biggest bug in ns port of Emacs. It exposed itself
> originally through emms but I have found an easy way to reproduce it.
>
> 1. move .emacs.d and .emacs to some other places so that no user
> customisation is in effect.
>
> 2. start Emacs from Finder
>
> 3. M-! touch 求助.txt
>
> No 求助.txt will be created instead, a file named .txt is created.
>
> If you start Emacs from terminal by running for example:
>
>   /Applications/Emacs.app/Contents/MacOS/Emacs
>
> you won't see this bug.
>
> The consequencies of this bug is that all packages that call external
> programs won't be able to handle non ascii names. For example,
>
> http://permalink.gmane.org/gmane.emacs.emms.user/1426

After some investigation with Ian's help, I have found a workaround by
setting the language environment to UTF-8.

The bug seems to be that Emacs.app is completely unaware of the language
setting of OS X.

-- 
.:  Leo  :.  [ sdl.web AT gmail.com ]  .: I use Emacs :.

               www.git-scm.com
    git - the one true version control system